Nautilus says the USB stick is read only when it is not

Bug #1021375 reported by Sergio B on 2012-07-05
800
This bug affects 193 people
Affects Status Importance Assigned to Milestone
Nautilus
Confirmed
Medium
nautilus (Ubuntu)
High
Unassigned
nemo (Ubuntu)
High
Unassigned

Bug Description

First time I use an USB drive since I updated to 12.04 and I found a really annoying bug on Nautilus. Nautilus claims that the destination drive is read-only when in fact it is not.

How to reproduce:

1. Connect a USB stick drive to your competer.
2. The USB will appear in the desktop.
3. Open two Nautilus windows one in your home folder, other in the USB stick drive.
4. Select any file from your home folder (small enough to fit the free space in the USB drive)
5. Drag the file and drop it in the USB drive window.

-- Nautilus will say that it cannot copy the file because the destination is read ony --

If you try the copy the same file with the terminal you will see that the file is copied without problem, other programs like gedit or LibreOffice can write in the usb stick drive just fine.

It is not a problem with the USB stick, as shown here:

[ 6232.288064] usb 2-1: new high-speed USB device number 6 using ehci_hcd
[ 6232.426378] scsi8 : usb-storage 2-1:1.0
[ 6233.468489] scsi 8:0:0:0: Direct-Access Kingston DT 101 II PMAP PQ: 0 ANSI: 0 CCS
[ 6233.469862] sd 8:0:0:0: Attached scsi generic sg2 type 0
[ 6234.178262] sd 8:0:0:0: [sdb] 3909632 512-byte logical blocks: (2.00 GB/1.86 GiB)
[ 6234.178735] sd 8:0:0:0: [sdb] Write Protect is off
[ 6234.178740] sd 8:0:0:0: [sdb] Mode Sense: 23 00 00 00
[ 6234.179251] sd 8:0:0:0: [sdb] No Caching mode page present
[ 6234.179256] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 6234.183369] sd 8:0:0:0: [sdb] No Caching mode page present
[ 6234.183376] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 6234.210138] sdb: sdb1
[ 6234.212732] sd 8:0:0:0: [sdb] No Caching mode page present
[ 6234.212736] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 6234.212740] sd 8:0:0:0: [sdb] Attached SCSI removable disk

The permisions on the removable drive are set correctly:

sergio@shana:/media$ ls -lah
total 12K
drwxr-xr-x 3 root root 4,0K jul 5 10:20 .
drwxr-xr-x 23 root root 4,0K jul 3 11:01 ..
drwx------ 5 sergio sergio 4,0K dic 31 1969 DESIGNPLUS

There is enough free space in the drive:

sergio@shana:/media/DESIGNPLUS$ df -h
S.ficheros Tamaño Usado Disp Uso% Montado en
/dev/sda2 50G 5,5G 42G 12% /
udev 1,5G 4,0K 1,5G 1% /dev
tmpfs 579M 872K 579M 1% /run
none 5,0M 0 5,0M 0% /run/lock
none 1,5G 1,1M 1,5G 1% /run/shm
/dev/sda1 497M 113M 360M 24% /boot
/dev/sda5 245G 111G 122G 48% /home
/dev/sdb1 1,9G 681M 1,2G 36% /media/DESIGNPLUS

A file can be copied to the USB stick using the cp command for example.

sergio@shana:~/Trash$ cp wireless.txt /media/DESIGNPLUS
sergio@shana:~/Trash$ cd /media/DESIGNPLUS
sergio@shana:/media/DESIGNPLUS$ ls -lah
total 204K
drwx------ 5 sergio sergio 4,0K jul 5 10:38 .
drwxr-xr-x 3 root root 4,0K jul 5 10:20 ..
-rw-r--r-- 1 sergio sergio 117K jul 5 10:14 ._Screen Shot 2012-06-30 at 8.50.37 AM.png
-rw-r--r-- 1 sergio sergio 55K jun 30 08:51 Screen Shot 2012-06-30 at 8.50.37 AM.png
drwx------ 4 sergio sergio 4,0K jul 5 10:05 .Spotlight-V100
drwx------ 2 sergio sergio 4,0K jul 5 10:05 .Trashes
-rw-r--r-- 1 sergio sergio 4,0K jul 5 10:05 ._.Trashes
-rw-r--r-- 1 sergio sergio 73 jul 5 10:38 wireless.txt

But nautilus just dennies to copy the file claming that the destination is read only, when it is not.

I tested it with two different USB sticks in two different computers running Ubuntu 12.04 and the same result.

description: updated
Matthew (ruinairas1992) wrote :

I have a problem with USB flashdrives as well. Everytime I insert my cruzer thubdrive it says it fails to mount, yet it mounts anyway. Normally this wouldn't be an issue, but when you go to unmount it properly it fails to do so..I am forced to just simply pull the flash driveo out.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed
Nsm (nicolasmosconi) wrote :

I have the same problem with memory cards too.

no longer affects: nautilus
Leszek (bigl-aff) wrote :

I can add that I had no problems with nautilu 'til 2-3 days ago. Afte upgrade to 12.04 everything was OK but it changed few days ago. So maybe it's result of some updated package/library?

Leszek (bigl-aff) wrote :

I came across patched Nautilus from SoluOS project, installed it in few easy steps described here:

http://www.webupd8.org/2012/08/install-solusos-patched-nautilus-in-ubuntu-1204.html

And now Nautilus work OK :) So it's one of their patches, which solves the problem :-)

Dac Chartrand (conner-bw) wrote :

I'ts the same problem for me. I'm using a USB hard drive (Fantom Drives, Green Drive, 1TB)

I even formatted the drive using Ubuntu 12.04 itself. That is, in Unity Launcher on leftside, I right-clicked the drive icon and selected Format. I did tests using both EXT4 and FAT32. Same results.

As I type this Ubuntu 12.04 "Backup" has no problems writing to the drive. I have no problem writing to the drive in the Terminal. If I open Gedit and save to the drive, no problem...

But, anything I try in Nautilus (Create New Folder, Drag & Drop Copy) gives the error: "The destination is read-only."

StephanBeal (sgbeal) wrote :

Seeing the same on a VFAT 500GB USB drive on Ubuntu 12.04, nautilus 3.4.2. Symptoms are identical to the OP's.

Ivan Bonac (ivan-bonac) wrote :

Same problem for me. The problem appears when upgrade the package from 1:3.4.2-0ubuntu4 (originally installed when upgrade to precise 12.04 release) to 1:3.4.2-oubuntu5 during normal upgrades proposed.
In one laptop i use the 1:3.4.2-0ubuntu4 version and no problem at all, otherwise another 2 machines win 1:3.4.2-0ubuntu5 version is affected by the bug.

Brian Bentsen (bimsebasse) wrote :

Same problem here with a SANSA player - super annoying.

Sergio (tomcat-cdm) wrote :

Same supper annoying bug. Shoud be fixed anytime soon!

Not my case, but for sure many many Windwos users that try to use Ubuntu may face this bug.

Eddie (system-w) wrote :

Actually, use Ctrl+C and then Ctrl+V - works just fine.

Leander Fiedler (e-lele) wrote :

Hello,
I have the same problem (referring to the original post) under 12.04 LTS with Nautilus 3.4.2 and a 2GB Kingston USB stick.

Copying via console and thunar (which I installed for testing) went fine. dmesg shows nothing strange, i.e.

[18395.837494] usb 2-1.2: new high-speed USB device number 11 using ehci_hcd
[18395.933263] scsi14 : usb-storage 2-1.2:1.0
[18396.932891] scsi 14:0:0:0: Direct-Access Kingston DataTraveler 2.0 PMAP PQ: 0 ANSI: 0 CCS
[18396.934224] sd 14:0:0:0: Attached scsi generic sg2 type 0
[18397.773851] sd 14:0:0:0: [sdb] 4030464 512-byte logical blocks: (2.06 GB/1.92 GiB)
[18397.774426] sd 14:0:0:0: [sdb] Write Protect is off
[18397.774437] sd 14:0:0:0: [sdb] Mode Sense: 23 00 00 00
[18397.775093] sd 14:0:0:0: [sdb] No Caching mode page present
[18397.775103] sd 14:0:0:0: [sdb] Assuming drive cache: write through
[18397.778319] sd 14:0:0:0: [sdb] No Caching mode page present
[18397.778330] sd 14:0:0:0: [sdb] Assuming drive cache: write through
[18397.779229] sdb: sdb1
[18397.781520] sd 14:0:0:0: [sdb] No Caching mode page present
[18397.781532] sd 14:0:0:0: [sdb] Assuming drive cache: write through
[18397.781542] sd 14:0:0:0: [sdb] Attached SCSI removable disk

so far, so bad...

Leander Fiedler (e-lele) wrote :

ah, forgot: ctrl-v and ctrl-c don't work under nautilus. gksu nautilus didn't help.

One more person with this read-only problem :-(

When I put a SD Card into the slot in my laptop Nautilus opens the SD Card, but I also get the problem: The destination is read-only :-(

In a terminal everything works fine.

When I run sudo nautilus in the termnal everything also works fine and I can write to the SC Card - but why not when I'm running Nautilus as normal user :-(

Permissions look also fine to me:

jorgen@Jukebox:/media$ ls -l
totalt 40
drwxr-xr-x 2 jorgen jorgen 4096 dec 3 15:02 Cloner
drwxrws---+ 11 root data-rediger 4096 jan 28 17:28 Data
drwxrwsr-x+ 2 root multimedia-rediger 4096 nov 26 21:34 Multimedia
drwxrwsr-x+ 2 root multimedia-rediger 4096 nov 26 21:34 Raa-foto
drwx------ 5 jorgen jorgen 16384 feb 26 19:01 SD-CARD_512
drwxrwsrwx+ 2 root udveksling-rediger 4096 nov 26 21:34 Udveksling
drwxrwsr-x+ 2 root work-rediger 4096 nov 26 21:34 Work
jorgen@Jukebox:/media$

Mamoon Rashid (m3rashid) wrote :

The following fixed the issue for me:

sudo apt-get update
sudo apt-get dist-upgrade
sudo reboot

Dac Chartrand (conner-bw) wrote :

This problem went away for me after I updated to 13.04

candtalan (aeclist) wrote :

I need to stay on 12.04 LTS (!)
FWIW I found that restarting the machine and reinserting the usb stick, gave me a normally functional usb with nautilus.
Another fix was to install an alternative file manager Thunar, and make use of this while the problem occurred.

Sylwester (ubuntulinux-org) wrote :

I got this problem after upgrading from 12.10 to 13.04.

StephanBeal (sgbeal) wrote :

This problem had gone away in 12.04 for a while, at least on external USB drives (but still on SD cards plugged in to a USB adapter), but came back with one of the updates made in the past few days.

MikeRich (bigmeanmikerich) wrote :

This problem affects me on Ubuntu 13.04 64-bit, running nautilus 3.6.3 from default repositories. This is a fresh install with all available updates installed.
All USB drives show "Error while copying to "[name of drive]." The destination is read-only."

Tested with three working USB sticks, all formatted FAT-32 via Gparted. Able to use touch, cp, mv, mkdir via terminal with no problems. Simply unable to create folders, drag files, or copy/paste files though nautilus.

Here is the terminal output from running 'mount' with one of these USB drives plugged in, after receiving error message. Note, USB is last disk listed, /dev/sdh, mounted under /media/mike/SanDisk:

mike@cobbler:~$ mount
/dev/sda3 on / type ext4 (rw,errors=remount-ro)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
none on /sys/fs/cgroup type tmpfs (rw)
none on /sys/fs/fuse/connections type fusectl (rw)
none on /sys/kernel/debug type debugfs (rw)
none on /sys/kernel/security type securityfs (rw)
udev on /dev type devtmpfs (rw,mode=0755)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620)
tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755)
none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880)
none on /run/shm type tmpfs (rw,nosuid,nodev)
none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755)
/dev/sdb2 on /home type ext4 (rw)
binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw,noexec,nosuid,nodev)
gvfsd-fuse on /run/user/mike/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=mike)
/dev/sdh1 on /media/mike/SanDisk type vfat (rw,nosuid,nodev,uid=1000,gid=1000,shortname=mixed,dmask=0077,utf8=1,showexec,flush,uhelper=udisks2)

Christophe Viallon (cviallon) wrote :

Same problem for me with Ubuntu 13.04 64-bit and nautilus 3.6.3 .
I can have write access only when nautilus is launched using sudo from a terminal.

Christophe Viallon (cviallon) wrote :

Well, I found a solution.
1. I renamed the /home/[my-username]/.config directory as /.config.old
2. After logout and new login, a new /.config directory is generated.
3. I replaced the old /.config.old/nautilus directory by the newly generated /.config/nautilus
4. /.config erased.
5. /.config.old renamed as /.config again
5. Logout and new login => problem solved.

Sebastien Bacher (seb128) wrote :

could you diff those directories to try to find out what is different between those configs and creating the issue?

will (will007) wrote :

I had the same issue, but the procedure by Christophe works for me.
See attached the output of 'diff nautilus nautilus.old'.

Marwan Tanager (marwan-tngr) wrote :

I have the same issue on Ubuntu 13.04 and was able to workaround it using the Christophe's trick from comment #22

Thanks, Christophe, but we would like to know the rationale behind your workaround, in order to better know why the bug happens at the first place.

Anna Lopatina (sovanna) wrote :

Had the same issue on 13.04. Trick from #22 also helped. The only difference between two configs is that the bad config has an extra line in the middle of it:
---
$ diff accels ~/.config/nautilus.old/accels
47a48
> ; (gtk_accel_path "<Actions>/ExtensionsMenuGroup/DejaDupNautilusExtension::restore_missing_item" "")
---

Christophe Viallon (cviallon) wrote :

Well, this issue is always there using Ubuntu 13.04 & nautilus (3.8.0-31-generic #46-Ubuntu) !
The workaround I proposed earlier works (I don't know why) but the problems still comes back regularly.
Is anybody has found what triggers it ?

PeterBocz (boczpeter) wrote :

The very same problem exists on Mint 15 (based on 13.04) and Thunar 1.6.2.
I actually run Nautilus to work around the problem and copy the files.
The problem might be in lower levels.

HamilJF (john-hamilton) wrote :

Just happened to me all of a sudden (eg, have not observed this problem on 12.04 or 13.04 until today, but haven't used a USB stick for 2+ weeks). Unity desktop; Files 3.6.3 (whatever that is) produces a popup stating that target is read-only, which it isn't, of course. The config file identified in post #22 contains the line indicated there...
; (gtk_accel_path "<Actions>/ExtensionsMenuGroup/DejaDupNautilusExtension::restore_missing_item" "")
But it looks as though it is supposed to be there.
Would be happy to edit a defective line out, but is anyone sure which it is ?
uname -a...
Linux .... 3.8.0-34-generic #49-Ubuntu SMP Tue Nov 12 18:00:10 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
lsb_release -a...
Description: Ubuntu 13.04
Codename: raring

(BTW, closing down for seasonal holiday soon... will check back in the new year)

Sojin (sojin-v) wrote :

Using 13:10. This is super super annoying bug. Will drive far away any windows user trying to use Ubuntu, for sure.

Please fix this soon.

I can copy files using Terminal as normal user. But with nautilus, it giving me "is read only" error.

Johann Gail (johann-gail) wrote :

I have the read-only bug under a slightly different condition: Its not a external USB-Stick but a remounted partition.

For security reasons I have an archive partition which is mounted read-only at startup of the notebook. When I mount the partition afterwards in readwrite-mode then nautilus tells me, the partition is still read-only. But all other tools, commandline etc. works fine.

So it seems to me, this bug has something to do with in-memory cached directory information in nautilus. Maybe this information gets cleared during logout/login, so it is not the observed line in the .config but the process of relogon which solves this problem?

I have this effect since at least two years and with different versions of ubuntu. For sure with 12.04, 13.04, 13.10 and all updates between them. For me this bug is allways fully reproducible.

d0m (dominic-innocent) wrote :

I to have the same problem!
I have tried 2 diferent USB sticks & nothing can be saved to them. Either by drag & drop or saving from a text editor (JuffEd & Gedit) or even OpenOfice.
One of the USB sticks did let me moove a file when I firs got it but it stoped after I plged it into my Android.
I can open the USB sticks in "Windows!" & chaing the permissions.
But I am completly locked out with Ubuntu.
Is pluging the USB sticks into other OS's leaving a cooky that Ubuntu is objecting to?
Have fun.
d0m.

olaf wapenhans (olaf-idat) wrote :

I reboot system on recovery mode, and did some of the support programs. Now it works

burnsdm (thepoolice) wrote :

Affects me - another temporary workaround is to load nautilus as root from terminal which allows me to write to usb

This is really annoying please fix.

Ian Lawrence (ianlawrence) wrote :

I did

sudo mount -o remount,rw /media/<mount point>

which works copying files in nautilus (until you pull out the usb stick of course)

Reinhard Tartler (siretart) wrote :

I can confirm the observations of comment #20. On this basis, I'm raising the importance because this seems to me like a major usability issue.

Changed in nautilus (Ubuntu):
importance: Undecided → High
SergeiS (sergei-redleafsoft) wrote :

Still a problem on 14.04 now. What's confusing is that the file system is properly mounted, and I can copy a file onto the drive using cp in a terminal, so it is a pure Nautilus issue.

Mount:
/dev/sdc1 on /media/sergei/16GB type vfat (rw,nosuid,nodev,uid=1000,gid=1000,shortname=mixed,dmask=0077,utf8=1,showexec,flush,uhelper=udisks2)

Dmesg:
[514464.082007] usb 3-8: USB disconnect, device number 30
[514465.866850] usb 3-8: new high-speed USB device number 31 using xhci_hcd
[514465.883728] usb 3-8: New USB device found, idVendor=0781, idProduct=5530
[514465.883737] usb 3-8: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[514465.883742] usb 3-8: Product: Cruzer
[514465.883746] usb 3-8: Manufacturer: SanDisk
[514465.883749] usb 3-8: SerialNumber: 20060572701B1A23221D
[514465.884351] usb-storage 3-8:1.0: USB Mass Storage device detected
[514465.884525] scsi26 : usb-storage 3-8:1.0
[514466.882586] scsi 26:0:0:0: Direct-Access SanDisk Cruzer 1.03 PQ: 0 ANSI: 2
[514466.883096] sd 26:0:0:0: Attached scsi generic sg3 type 0
[514466.883864] sd 26:0:0:0: [sdc] 31266816 512-byte logical blocks: (16.0 GB/14.9 GiB)
[514466.884952] sd 26:0:0:0: [sdc] Write Protect is off
[514466.884962] sd 26:0:0:0: [sdc] Mode Sense: 03 00 00 00
[514466.885247] sd 26:0:0:0: [sdc] No Caching mode page found
[514466.885252] sd 26:0:0:0: [sdc] Assuming drive cache: write through
[514466.888280] sd 26:0:0:0: [sdc] No Caching mode page found
[514466.888289] sd 26:0:0:0: [sdc] Assuming drive cache: write through
[514466.891130] sdc: sdc1
[514466.893934] sd 26:0:0:0: [sdc] No Caching mode page found
[514466.893936] sd 26:0:0:0: [sdc] Assuming drive cache: write through
[514466.893938] sd 26:0:0:0: [sdc] Attached SCSI removable disk

tonysonney (tonysonney) wrote :

I have the same problem. Can create/delet file from terminal. But operations from nautilus fails wit "destination read only error". The other interesting thing is the same usb drive used to work fine with nautilus till before I made a bootable disk on the usb device using dd. I tried coping the initial 20MB from another usb. But the "read only" error persists.

bjv (bjamesv) wrote :
Download full text (3.6 KiB)

I appear to be having the same issue as SergeiS & tonysonney under 14.04,
file system permissions are correct and cp works fine from the command line for one of my USB hard drives, but drive consistently shows as 'Owner: root' in Nautilus - even though mount options are identical to an automounted SATA drive that shows as 'Owner: me'

Other USB devices, (flash drive, HD from a different manufacturer) mount with correct Ownership in nautilus.. (also, i noticed everything that mounts correctly has a little icon in the media folder - a thumb-drive, internal disk icon, etc. while the badly behaving "root" media device does not have a little icon on the folder)

Ubuntu automount point permissions:
bjv@saucy10:/media/bjv$ ls -lt /media/bjv
total 16
drwx------ 1 bjv bjv 4096 Nov 19 06:05 WD My Passport Ultra
drwx------ 1 bjv bjv 8192 Nov 18 07:56 WD Caviar Black

Ubuntu automount options:
bjv@saucy10:/media/bjv$ mount | tail -n2
/dev/sdc1 on /media/bjv/WD My Passport Ultra type fuseblk (rw,nosuid,nodev,allow_other,default_permissions,blksize=4096)
/dev/sdb1 on /media/bjv/WD Caviar Black type fuseblk (rw,nosuid,nodev,allow_other,default_permissions,blksize=4096)

Dmesg:
[3345508.088038] usb 1-4: new high-speed USB device number 26 using ehci-pci
[3345508.269200] usb 1-4: New USB device found, idVendor=1058, idProduct=0820
[3345508.269206] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=5
[3345508.269210] usb 1-4: Product: My Passport 0820
[3345508.269213] usb 1-4: Manufacturer: Western Digital
[3345508.269217] usb 1-4: SerialNumber: 575832314139344654415636
[3345508.269644] usb-storage 1-4:1.0: USB Mass Storage device detected
[3345508.270284] scsi18 : usb-storage 1-4:1.0
[3345509.268725] scsi 18:0:0:0: Direct-Access WD My Passport 0820 1012 PQ: 0 ANSI: 6
[3345509.269092] scsi 18:0:0:1: Enclosure WD SES Device 1012 PQ: 0 ANSI: 6
[3345509.269553] sd 18:0:0:0: Attached scsi generic sg2 type 0
[3345509.269840] scsi 18:0:0:1: Attached scsi generic sg3 type 13
[3345509.276843] sd 18:0:0:0: [sdc] Spinning up disk...
[3345510.280020] .ready
[3345515.207842] sd 18:0:0:0: [sdc] 3906963456 512-byte logical blocks: (2.00 TB/1.81 TiB)
[3345515.209831] sd 18:0:0:0: [sdc] Write Protect is off
[3345515.209837] sd 18:0:0:0: [sdc] Mode Sense: 47 00 10 08
[3345515.211210] sd 18:0:0:0: [sdc] No Caching mode page found
[3345515.211215] sd 18:0:0:0: [sdc] Assuming drive cache: write through
[3345515.216837] sd 18:0:0:0: [sdc] No Caching mode page found
[3345515.216845] sd 18:0:0:0: [sdc] Assuming drive cache: write through
[3345515.217232] ses 18:0:0:1: Attached Enclosure device
[3345515.226127] sdc: sdc1
[3345515.229341] sd 18:0:0:0: [sdc] No Caching mode page found
[3345515.229352] sd 18:0:0:0: [sdc] Assuming drive cache: write through
[3345515.229356] sd 18:0:0:0: [sdc] Attached SCSI disk

Ubuntu version
bjv@saucy10:~/Downloads$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.1 LTS
Release: 14.04
Codename: trusty

bjv@saucy10:~/Downloads$ dpkg -l | grep 'nautilus[ ].*ubuntu'
ii nautilus 1:3.10.1-0ubuntu9.3 ...

Read more...

bjv (bjamesv) wrote :

remounting per comment #20 (sudo mount -o remount,rw /media/<mount point>) did not work with nautilus 3.10.1-0ubuntu9.3 on 14.04

Changed in nautilus:
importance: Unknown → Medium
status: Unknown → Confirmed
21 comments hidden view all 101 comments
mikewhatever (mikewhatever) wrote :

Same problem in 14.04. I can copy files with cp, but Nautilus claims that it's read only.

Andrew (andrewregan) wrote :

The problem exists in 16.04 as well. Why does this problem still exist? It's been 4 years!

Here is a video demo of the problem:
https://www.youtube.com/watch?v=oACOGupxVmU

I confirm problem for Xenial. Reformatting the drive with different Filesystems did not help. Issue comes up with differend usb keys. "gksu nautilus" is a workaround for me.

Ganesh Gunasegaran (n-me-n) wrote :

Have the same issue in Xenial. Copying from Terminal works fine.

Demetrio (demetrio-foti) wrote :

Same for me, on Ubuntu 14.04. Try those steps.
1. get a pen drive having a read-only switch.
2. plug in pen drive in write mode
3. check you can write something.
4. Reboot
5. plug in pendrive having read-only switch on
6. check you cannot write
7. uplug normally, do not reboot pc
8. change pendrive switch position to writable
9. plug in pendrive
10. you should see from terminal write permission is OK (and you can make copies by using terminal) but "paste" is disabled in nautilus, and every writing is impossible (you cant paste or create new files).

Djalal (djalal) wrote :

Also affects me on Ubuntu 16.04 64 bit, latest Nautilus (package version 1:3.18.4.is.3.14.3-0ubuntu4). Can write using terminal.
I started experiencing this bug only after mounting a live usb with Linux Mint 18, as if it where infected..

Djalal (djalal) wrote :

dmesg output, last two lines are colored red:
[267152.527685] usb 2-1.7: New USB device found, idVendor=0951, idProduct=1662
[267152.527693] usb 2-1.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[267152.527698] usb 2-1.7: Product: DataTraveler 109
[267152.527701] usb 2-1.7: Manufacturer: Kingston
[267152.527705] usb 2-1.7: SerialNumber: 00241D8CE55DBBA0E00000CA
[267152.528253] usb-storage 2-1.7:1.0: USB Mass Storage device detected
[267152.530997] scsi host13: usb-storage 2-1.7:1.0
[267153.600714] scsi 13:0:0:0: Direct-Access Kingston DataTraveler 109 PMAP PQ: 0 ANSI: 4
[267153.601442] sd 13:0:0:0: Attached scsi generic sg1 type 0
[267154.441965] sd 13:0:0:0: [sdb] 31014912 512-byte logical blocks: (15.9 GB/14.8 GiB)
[267154.443583] sd 13:0:0:0: [sdb] Write Protect is off
[267154.443594] sd 13:0:0:0: [sdb] Mode Sense: 23 00 00 00
[267154.445041] sd 13:0:0:0: [sdb] No Caching mode page found
[267154.445063] sd 13:0:0:0: [sdb] Assuming drive cache: write through

ile (ilkkah) wrote :

I have this problem on 16.04 and a normal SATA disk. "killall nautilus" helped.

I can confirm #69, using "killall nautilus" from terminal helps

Hans Deragon (deragon) wrote :

Guys, there are 117 users affected by this launchpad bug, but only 7 logged in upstream and CC themselves to the upstream bug. Please login to the upstream bug at https://bugzilla.gnome.org/show_bug.cgi?id=703179 and CC yourselves. It might help to add importance to the issue.

I had this problem with Ubuntu 16.04.1. So annoying!
killall nautilus solves the problem

Changed in nautilus:
status: Confirmed → Incomplete
Hadrien (psydk) wrote :

Got this for the first time after installing 16.10. I had to copy everything from a terminal.

liamdawe (liamdawe) wrote :

Same issue here, had it for a long time. Can also confirm that "killall nautilus" solves it. Still an issue on Ubuntu 16.10.

Maravilla (maravilla) wrote :

Same issue here but comes and goes. Yesterday I could not write any of my usb sticks. The funny thing is that I was able to write in them through command line.

Today the issue is gone. I've experienced this problem about 3 or 4 times in 3 months time.

FlyingMG (flyingmg) wrote :

I already had the same problem with 12.04 and today with 16.04.
Write accessd denied from Nautilus but possible using other methods as already described above.

What works for rme:
Remove the directory ~/.config/nautilus (or rename to .bak), kill nautilus and after a restart, write access on USB is restored.

Changed in nautilus:
status: Incomplete → Confirmed
Mike (pub-mikeb) wrote :

This bug-thread has been published in mid 2012, nowadays we're one leg in 2017.
Any news? Any road map when Nautilus user can copy the data from/to USB-drive without any workarounds?

Lifepower (yunkot) wrote :

Just experienced this bug in Ubuntu Yakkety 16.10 64-bit, Unity desktop, "Files" utility version 3.20.3.

Ge (vipup) wrote :

S! S! S!
With Ubuntu 16.04LTS it is here again! :)
WTF!?

Ge (vipup) wrote :

So - may be it will help:
Hardware: LEnovo Yoga 12
--- OS :
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

--------- USB : SanDisk 16gb
--- Bus 002 Device 014: ID 0781:5571 SanDisk Corp. Cruzer Fit
---------------------------------------
Disk /dev/sdb: 7.5 GiB, 8004304896 bytes, 15633408 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x00000000

Device Boot Start End Sectors Size Id Type
/dev/sdb1 32 15633407 15633376 7.5G c W95 FAT32 (LBA)

Antony Jones (wrh) wrote :

Just encountered this in Ubuntu 16.10. Painful bug.

$ nautilus --version
GNOME nautilus 3.20.3

$ cat /etc/*-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.10
DISTRIB_CODENAME=yakkety
DISTRIB_DESCRIPTION="Ubuntu 16.10"
NAME="Ubuntu"
VERSION="16.10 (Yakkety Yak)"
ID=ubuntu

Mateusz Bysiek (mbdev) wrote :

It occurred for me yesterday for the first time ever. I have Dell XPS netbook running 64bit 16.04, upgraded from 14.04. Been using Ubuntu for many many years on many machines, never seen this before.

Symptoms: With one of my thumb-drives, I could copy/move files in terminal without any problems, but Nautilus complained about the drive being read-only. Interestingly, using Nautilus, I could still delete files I copied using terminal. Today the bug doesn't occur with the same thumb-drive.

Thumb drive is not brand new (1~2 years old), but there are no problems with it as far as I can see.

Between yesterday and today: I didn't shut down the system on which bug showed up, however I suspended it. Also, I used the drive with other Ubuntu machine.

nautilus --version
GNOME nautilus 3.14.3

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

Any recommended steps to be taken (to gather more data) if I ever see this again?

svan001 (stephane-gronowski) wrote :

Same here. Sorry I've got to say i'm so disapointed this bug has been reported since 2012 and it's like nobody cares... feels great preparing to use Linux at work and switching family to Linux and cant even write on a thumbdrive because of a 4+ years old bug... maybe those windows/mac guys are rigth after all...

Just had this on my ages 16.10 with even more aged USB's that have worked fine over the ages :-/. Like others I can copy using terminal but nautilus gives RO error message. "killall nautilus" seemed to clear the problem for me...

*correction* aged 16.04 (sorry)

CHK (admin947) wrote :

I've the same issue and "killall nautilus" also fix the problem for me.

What kind of debug information can we provide to help fixing this issue?

Michel-Ekimia (michel.ekimia) wrote :

Very nasty bug for a new comer, we really need to find a solution...

svenmeier (sven-meiers) wrote :

16.10 ... unbelievable :/

Hervé BRY (setaou) wrote :

I confirm this bug also affects Nemo on Ubuntu 16.04 (at least).

I had the exact same problem as described but I am using Arch Linux. I made a simple uninstall with pacman -Rcsn. I know this isn't the same command for ubuntu but just use apt-get autoremove and make sure to add the option that also removes all configuration files. Some times some files are still there. In my case it was in my home folder under .config/nautilus and .local/nautilus both for my user and root. To be sure you have deleted everything I suggest using the command:
"find|grep nautilus" under both root and your home to make sure all files are deleted. After that I installed nautilus again. Maybe make a full restart before but I didn't have to. I use Gnome 3 on Arch Linux so hope this maybe apply to you as my discovery makes me think that it might be a fault with configuration files.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nemo (Ubuntu):
status: New → Confirmed
tags: added: xenial yakkety
Changed in nemo (Ubuntu):
importance: Undecided → High
Jan Pischel (jamcheck) wrote :

I observe a variant of this bug in Ubuntu 16.04 LTS 64-bit (4.4.0-71-generic #92-Ubuntu): In Nautilus 3.14.3, an auto-mounted partition on a local drive is read-only (no issues before, nothing changed with the system (hardware) configuration). In addition, if I open files with apps (gedit, ...) from Nautilus by double click, I cannot save changes.

The variant is this: Even if I use now the terminal, the drive is read-only (I cannot create files -- touch: cannot touch 'test.txt': Read-only file system -- or save changes when editing files).

Workaround: I can still change content using the terminal or Krusader by remounting the partition, i.e.

sudo mount -o remount,rw '/media/<username>/<partitionname>

However, as soon as I go to the mount directory in Nautilus, it seems to be read-only again, so no chance to change contents. It looks to me like Nautilus really changes actively the information of the mounted drive.

Please let me know if you need further information to debug. I agree to previous users that this bug is really annoying, especially since nothing seems to happen for now almost FIVE YEARS!

I met this problem today, and after kill nautilus and remount problem solved, not sure how to reproduce this again.

gabybosetti (gabybosetti) wrote :

I had this problem with Ubuntu 15.04. It was solved by:
mv ~/.config/nautilus ~/.config/nautilus-bak

LukeL99 (lukel99) wrote :

Had this problem happen to me on 16.04.2. killall nautilus worked for me, and doesn't come back across multiple unplugs and restarts of nautilus.

Wow, it seems to be still present. Just experienced it on 16.10. This is weird, because this bug was driving me nuts on 15.10, and now this was first occurrence since I upgraded from 15.10 to 16.10, which was half a year ago.

P.S. “killall nautilus” and restarting it resolved the issue.

Federico Cupellini (fedecupe) wrote :

Same for me

madivad (madivad) wrote :

I'm on 17.04 fully updated as at 30/5/2017. This is still happening. As per everything the OP had in 2012, I can confirm the same at this end.

No remounting or editing of permissions changed nautilus' permissions for me except for:

* Closing nautilus,
* Removing ~/.config/nautilus, *1
* logging out and back in again (for good measure—not a reboot) and
* restarting nautilus worked for me

*1 May not have been required, but done because I was working through several posts and it was one of the suggested solutions

mikeschoon (mike-schoon) wrote :

Just occurred today:

16.04.2 LTS (Xenial Xerus)
4.8.0-54-generic

Same Thumbdrive is accessible and writeable:
14.04.05 Trusty Tahr
4.4.0-79-generic

Unable to mount other USB Drives:

Example:"Device /dev/sdc1 is already mounted at `/media/ubuntu/Debian 8.8.0 amd64 1'"

Here is the output of lsusb:

Bus 002 Device 002: ID 8087:8000 Intel Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:8008 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 004: ID 05e3:0610 Genesys Logic, Inc. 4-port hub
Bus 003 Device 014: ID 18a5:0304 Verbatim, Ltd
Bus 003 Device 003: ID 05d9:a795 Axiohm Transaction Solutions
Bus 003 Device 002: ID 7392:a812 Edimax Technology Co., Ltd
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

nirajkvinit (nirajkvinit-d) wrote :

I had upgraded from Ubuntu Gnome 14.04 to 16.04. All of a sudden this issue cropped up! None of my usb sticks would work properly. However, after following the comments here and running killall nautilus, then restarting it solved the problem.

Displaying first 40 and last 40 comments. View all 101 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.